Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::MPStlFilterIterator< VALUE, ITERATOR, FILTER > Class Template Reference
Iterator

MPStlFilterIterator implements memory pool for StlFilterIterator. More...

`#include <stlfilteriterator.h>`

Inheritance diagram for tlp::MPStlFilterIterator< VALUE, ITERATOR, FILTER >:
[legend]
Collaboration diagram for tlp::MPStlFilterIterator< VALUE, ITERATOR, FILTER >:
[legend]

List of all members.

## Public Member Functions

- MPStlFilterIterator (const ITERATOR &startIt, const ITERATOR &endIt, FILTER filter)

## Detailed Description

### template<typename VALUE, typename ITERATOR, typename FILTER>
class tlp::MPStlFilterIterator< VALUE, ITERATOR, FILTER >

MPStlFilterIterator implements memory pool for StlFilterIterator.

Warning:
  never inherit from that class

See also:
  StlFilterIterator

## Constructor & Destructor Documentation

template<typename VALUE , typename ITERATOR , typename FILTER >

tlp::MPStlFilterIterator< VALUE, ITERATOR, FILTER >::MPStlFilterIterator | ( | const ITERATOR & | startIt,
|  | const ITERATOR & | endIt,
|  | FILTER | filter
| ) |  | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2012